Results 1 to 7 of 7

Thread: Java Version

  1. #1
    Aj_javaUser is offline Member
    Join Date
    Mar 2011
    Posts
    4
    Rep Power
    0

    Default Java Version

    Hi Team,

    I have a query regarding java version.

    my application uses java and throws an error

    *****************************
    you are attempting to run with java 1.6.0

    Running this product is supported with a minimum java version of 1.6.0_04
    ***************************************

    java -version prints the following

    java version "1.6.0"
    Java(TM) SE Runtime Environment (build pap6460sr9-20101125_01(SR9))
    IBM J9 VM (build 2.4, JRE 1.6.0 IBM J9 2.4 AIX ppc64-64 jvmap6460sr9-20101124_69295 (JIT enabled, AOT enabled)
    J9VM - 20101124_069295
    JIT - r9_20101028_17488ifx2
    GC - 20101027_AA)
    JCL - 20101119_01

    My system admin team claims that as the java version is 1.6.0 IBM J9 it equivalent to 1.6.0_9

    Can any one please validate this?

  2. #2
    Tolls is offline Moderator
    Join Date
    Apr 2009
    Posts
    12,036
    Rep Power
    20

    Default

    Where is that version error coming from?

  3. #3
    Aj_javaUser is offline Member
    Join Date
    Mar 2011
    Posts
    4
    Rep Power
    0

    Default

    The error is from ODI (oracle data integrator).

  4. #4
    Tolls is offline Moderator
    Join Date
    Apr 2009
    Posts
    12,036
    Rep Power
    20

    Default

    ?
    And what's that?

    Is it part of your application?

  5. #5
    Aj_javaUser is offline Member
    Join Date
    Mar 2011
    Posts
    4
    Rep Power
    0

    Default

    ODI is Data warehousing tool which runs on Java.
    ODI required Java 1.6.4 and as far as I understand only java 1.6.0 is installed

  6. #6
    Tolls is offline Moderator
    Join Date
    Apr 2009
    Posts
    12,036
    Rep Power
    20

    Default

    Then ask Oracle.
    They'll be able to tell you if its been tested against IBMs JVM.

  7. #7
    Aj_javaUser is offline Member
    Join Date
    Mar 2011
    Posts
    4
    Rep Power
    0

    Default

    Thanks Tolls.
    It would be helpful if you could comment on this “Is 1.6.0 IBM J9 equivalent to 1.6.0_9”
    If not then how I could upgrade jdk from 1.6.0 to 1.6.0.04

Similar Threads

  1. Using Old Version of Java
    By AndrewM16921 in forum New To Java
    Replies: 9
    Last Post: 09-27-2010, 01:49 PM
  2. Version of java
    By waqar100 in forum New To Java
    Replies: 3
    Last Post: 06-04-2010, 04:29 AM
  3. java -version pointing to older version
    By deepakts in forum New To Java
    Replies: 4
    Last Post: 05-06-2010, 09:59 AM
  4. java dumps(1.6 version)
    By manieie05 in forum New To Java
    Replies: 0
    Last Post: 04-17-2009, 10:58 AM
  5. version of java????
    By j2vdk in forum New To Java
    Replies: 6
    Last Post: 09-07-2008, 04:34 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •